<template lang="pug">
.row.x-users
  .col-12.col-xl-3.mb-1.order-xl-2(key='search')
    BaseCard.highlightOnFocus(title='Search' tabindex='-1'
                              @keydown.enter.native.stop='doSearch')
      li(key='0')
        .row.b-param-container
          OperYearSelector.col-12(ref="operYearInput" :inEdit='true')
          BaseParamList.col-12(ref="instituteInput" title="Institute" :inEdit='true')
            template(v-slot:options='')
              option(value='')
              option(v-if='i.status > 0 || i.alias === "__nTOF"' v-for='i in institutesOptions' :value='i.id') {{ i.alias }} - {{ i.name }}
        .row.no-gutters.mt-1
          button.x-search.btn.btn-primary.ml-auto(ref='search' @click='doSearch')
            kbd.keyHint.mr-2(v-if="showKeyHints") Ctrl+S
            | Search
  .col-12.col-xl-9(key='results')
    BaseCard
      template(v-slot:header='')
        .d-flex.justify-content-between.align-items-center
          h5 Users
      li(key='ctrl')
        .row.justify-content-between
          .col-auto
            nav.justify-content-center(aria-label='Pagination')
              ul.pagination
                li.page-item(:class="{ disabled: page === 0 }")
                  button.page-link(type='button'  @click="goToPage(page - 1)"
                    :disabled='page === 0') #[i.fa.fa-angle-left]
                li.page-item()
                  button.page-link(type='button' @click="goToPage(page + 1)") #[i.fa.fa-angle-right]
          .col-auto.d-flex
            BaseSelect.x-entries(v-model.number='max' :inEdit='true' :noEditIcon='true')
              template(v-slot:options='')
                option(:value='20') 20
                option(:value='40') 40
                option(:value='100') 100
            router-link.btn.btn-outline-danger.ml-1.x-admin(v-if='!isAdmin && $store.getters.canAdmin' :to='"/admin" + $route.fullPath' title='admin')
              i.fa.fa-key
      li.p-0(v-if='!institute' key='rowsAll')
        UsersAll(:institutesLoading='institutesLoading' :maxRows='max')
      li.p-0(v-if='institute && !associationsLoading' key='rowsByInstitute')
        UsersByInstitute(ref='test'
          :institutesLoading='institutesLoading' :associations='associations'
          :maxRows='max')
      li(v-if='usersLoading || associationsLoading' key='loader')
        .d-flex.justify-content-center.align-items-center
          i.align-bottom.fa.fa-spinner.fa-pulse
</template>
<script>

export { default } from './Users.vue.js';

</script>
